
Pre-Development - Feature #18621

FE - React - Tree View for module User Role

25 October 2023 10:20 AM - chok yee fan

Status: Resolved Start date: 25 October 2023

Priority: Normal Due date:  

Assignee: Amirul Umar Pandai % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

issue

-----

No component for this.

Expected

-----

Need to find component for this. after research, possible could use

https://github.com/brimdata/react-arborist

https://github.com/jakezatecky/react-checkbox-tree

Reference

-----

SD - hhttps://dev.silverlakemobility.com/demo/cc_iam/loginModule/login.htm

sysuser

abc123

Need to install into react project try and error.

History

#1 - 07 November 2023 05:51 PM - Amirul Umar Pandai

- Status changed from New to In Progress

- % Done changed from 0 to 50

react-checkbox-tree package will be used to display function list. Now just need to get test data structure to map data

#2 - 19 December 2023 11:47 AM - chok yee fan

continue redmine as following

https://dev.silverlakemobility.com/redmine/issues/19203

#3 - 19 December 2023 04:34 PM - Amirul Umar Pandai

Current tanstack component will be used instead of another third-party library for checkbox tree. Now pending ws

#4 - 02 January 2024 11:57 AM - chok yee fan

- column filter

- default collapse

#5 - 02 January 2024 12:17 PM - chok yee fan

https://tanstack.com/table/v8/docs/examples/react/filters

#6 - 03 January 2024 03:01 PM - Amirul Umar Pandai

Still pending ws
- delete content-tab + hq-tab from org profile

- put FormContainer for org profile tab

- checkbox tree column filter + collapsed by default

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/3583dc9b0f14fbb88991b43783e02576c5d3c4a1

#7 - 04 January 2024 11:42 AM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to David Wong

Pending ws to get data structure

#8 - 15 January 2024 04:11 PM - chok yee fan

- Assignee changed from David Wong to Amirul Umar Pandai

repeat highlight again from the meeting

issue

-----

Change the finger pointer to arrow

#9 - 16 January 2024 11:26 AM - chok yee fan

issue

-----

click Modify button, the tree NOT showing checkbox.

Expected

-----

click Modify button, the tree SHOULE show checkbox.

Note: only lowest level of tree able to modify

#10 - 22 January 2024 10:29 AM - Amirul Umar Pandai

- Assignee changed from Amirul Umar Pandai to David Wong

Applied FE change; assigning back to previous assignee

Feature #18621 - insert checkboxes for leaf nodes

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/9b1b90398f6505694792259585661ad275e86c84

#11 - 21 February 2024 02:05 PM - chok yee fan

- Assignee changed from David Wong to Zaid Haritsah
#12 - 21 February 2024 04:26 PM - Zaid Haritsah

- Assignee changed from Zaid Haritsah to Farid Nazmi

#13 - 05 March 2024 09:50 AM - Farid Nazmi

- % Done changed from 50 to 60

the WS for tree already provided in other redmine and already give the info

https://dev.silverlakemobility.com/redmine/issues/19042

#14 - 05 March 2024 09:50 AM - Farid Nazmi

- Assignee changed from Farid Nazmi to Amirul Umar Pandai

#15 - 07 March 2024 03:06 PM - Amirul Umar Pandai

- Status changed from In Progress to Resolved

- % Done changed from 60 to 100

Tree view implemented. Pending Ws for integration
